include:
 remote: 'https://gitlab.com/arbetsformedlingen/devops/gitlab-cicd/jobtech-ci/-/raw/v0.3.7/jobtech-ci.yml'

variables:
  JOBTECH_REGISTRY: docker-images.jobtechdev.se
  JOBTECH_PROJECT: egendata-experiment

build-docker-image:
  stage: build
  needs: []
  image: docker:23.0.6
  services:
    - docker:dind
  variables:
    JT_TAG_LATEST: $JOBTECH_REGISTRY/$JOBTECH_PROJECT/$CI_PROJECT_NAME:latest
    JT_TAG_COMMIT: $JOBTECH_REGISTRY/$JOBTECH_PROJECT/$CI_PROJECT_NAME:$CI_COMMIT_SHORT_SHA
    JT_TAG_BRANCH: $JOBTECH_REGISTRY/$JOBTECH_PROJECT/$CI_PROJECT_NAME:$CI_COMMIT_REF_SLUG
  script:
    - if [ ! -f Dockerfile ]; then echo "No Dockerfile in this repo, so no build needed." >&2; exit; fi
    # Install git
    - apk add --no-cache git
    # Login to GitLab registry
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    # Login to Nexus registry
    - docker login -u "$NEXUS_WRITE_USER" -p "$NEXUS_WRITE_PASS" docker-images.jobtechdev.se
    # Build with Buildkit
    - docker buildx create --use
    - docker buildx build --platform linux/arm64,linux/amd64 --push --tag $TAG_COMMIT --tag $TAG_LATEST --tag $TAG_BRANCH --tag $JT_TAG_COMMIT --tag $JT_TAG_LATEST --tag $JT_TAG_BRANCH .
